# Gio::DBusMethodInfo Class Reference

DBusMethodInfo - Stores information about a method on an D-Bus interface. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions

void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusMethodInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusMethodInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusMethodInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Protected Member Functions

| DBusMethodInfo ()
void | operator delete (void*, size_t)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::DBusMethodInfo > | wrap (GDBusMethodInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

DBusMethodInfo - Stores information about a method on an D-Bus interface.

Since glibmm 2.26:

## Constructor & Destructor Documentation

Gio::DBusMethodInfo::DBusMethodInfo | ( |  | ) | `[protected]`

## Member Function Documentation

const GDBusMethodInfo* Gio::DBusMethodInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusMethodInfo* Gio::DBusMethodInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

GDBusMethodInfo* Gio::DBusMethodInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::DBusMethodInfo::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Gio::DBusMethodInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBusMethodInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBusMethodInfo > wrap | ( | GDBusMethodInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.